Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Help understanding build option and warning messages, OMPI 1.2.4
From: Brian W. Barrett (brbarret_at_[hidden])
Date: 2008-02-27 15:55:10


On Wed, 27 Feb 2008, David Gunter wrote:

> We are trying to build OMPI-1.2.4 for a BProc/Ethernet-based cluster.
> Here are the configure options:
>
> ./configure --prefix=${PREFIX} \
> --libdir=${LIBDIR} \
> --enable-shared \
> --with-bproc \
> --with-tm=/opt/PBS \
> --with-io_romio_flags=--with-file-system=ufs+nfs \
> --disable-pty_support \
> --enable-mca-no-build="ras_tm,pls_tm"

<snip>

> Isn't the --enable-mca-no-build="ras_tm,pls_tm" option supposed to
> remove these warnings?

To answer the question you actually wanted answered :).

You want a dash, not underscore, between the framework and component name.
So the option would be --enable-mca-no-build=ras-tm,pls-tm.

Another way to do this would be 1) not specify the --with-tm
argument (since /opt/PBS isn't in the default search path) or 2) instead
of --with-tm and --enable-mca-no-build, just specify --without-tm (which
is close to but not quite the same as --enable-mca-no-build=ras-tm,pls-tm.
The main difference is that the --without-tm future proofs you in case new
TM components show up in future releases, as they will in 1.3).

Any of these options, of course, disables PBS support inside Open MPI.
Since you said BProc, that's probably what you want (since the MOAB +
BProc has been hacked to look like the old LSF + BProc with the NODES
variable and all that). If not, then the --enable-mca-no-build surely
isn't what you wanted in the first place :).

Hope this helps,

Brian